summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-04-29 08:02:20 +0200
committerHans de Graaff <graaff@gentoo.org>2018-04-29 08:44:27 +0200
commitdc0453098cc5c1d94ba80ef3f7c5acf9456ce24a (patch)
tree48f136d83b35f1cd66f21492aa520bdb2a45a062 /www-apps/jekyll-coffeescript
parentwww-apps/nanoc: cleanup (diff)
downloadgentoo-dc0453098cc5c1d94ba80ef3f7c5acf9456ce24a.tar.gz
gentoo-dc0453098cc5c1d94ba80ef3f7c5acf9456ce24a.tar.bz2
gentoo-dc0453098cc5c1d94ba80ef3f7c5acf9456ce24a.zip
www-apps/jekyll-coffeescript: add 1.1.1
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'www-apps/jekyll-coffeescript')
-rw-r--r--www-apps/jekyll-coffeescript/Manifest1
-rw-r--r--www-apps/jekyll-coffeescript/jekyll-coffeescript-1.1.1.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/www-apps/jekyll-coffeescript/Manifest b/www-apps/jekyll-coffeescript/Manifest
index b328b182611..75c4c5d063b 100644
--- a/www-apps/jekyll-coffeescript/Manifest
+++ b/www-apps/jekyll-coffeescript/Manifest
@@ -1 +1,2 @@
DIST jekyll-coffeescript-1.0.2.tar.gz 5042 BLAKE2B 1a08099b940118e15f5f2310671efe1cc61fc496242c94a3351654870518095d62f576922f1bbf882a64f7bbca6b9b00e1f692f00684f0a5c60005a5fb86c69b SHA512 cc8e3fc21d9ff0b4c0fb00652e8a8011fbb535f6c1b51c0c380637cb124524282f6ef5272e82976f964c5eae66a8340bd11f516f6625732d9ee51ef6c58b3a8f
+DIST jekyll-coffeescript-1.1.1.tar.gz 5350 BLAKE2B cbcb98f831b937458938e541e3b4d79bbdc1bf12444c5fbccf9f295744ca34fda019956ca5b7d011c8b88582d043157f7abf584af447e061f973b39da82227aa SHA512 6b748fb521a33be6dcf944bba35db2f2924d8ee403ba035f4e0e1411d91f1a7eb527af42237994c4f9839a3e6babfbd8b5441ecd5ef5c42db7afbdf4bfc643d2
diff --git a/www-apps/jekyll-coffeescript/jekyll-coffeescript-1.1.1.ebuild b/www-apps/jekyll-coffeescript/jekyll-coffeescript-1.1.1.ebuild
new file mode 100644
index 00000000000..456e51255cd
--- /dev/null
+++ b/www-apps/jekyll-coffeescript/jekyll-coffeescript-1.1.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_EXTRADOC="README.md History.markdown"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-fakegem
+
+SRC_URI="https://github.com/jekyll/jekyll-coffeescript/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="A CoffeeScript Converter for Jekyll"
+HOMEPAGE="https://github.com/jekyll/jekyll-coffeescript"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/d' Rakefile || die
+ sed -i -e "/^RSpec/i \
+ require 'jekyll'"\
+ -e "/^RSpec/i \
+ require 'jekyll-coffeescript'" spec/spec_helper.rb || die
+}
+
+ruby_add_rdepend ">=dev-ruby/coffee-script-2.2
+ >=dev-ruby/coffee-script-source-1.11.1"
+ruby_add_bdepend "test? ( www-apps/jekyll )"